Bug 427266 - rhn-delete-package should report an error when it can't find an SRPM
Summary: rhn-delete-package should report an error when it can't find an SRPM
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
(Show other bugs)
Version: RHN Devel
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Amy Owens
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 427534 427574
TreeView+ depends on / blocked
 
Reported: 2008-01-02 16:09 UTC by James Bowes
Modified: 2013-01-10 09:56 UTC (History)
2 users (show)

Fixed In Version: 5.0.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 21:29:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Bowes 2008-01-02 16:09:01 UTC
When deleting a non-existant SRPM, rhn-delete-package should let you know that
the provided SRPM does not exist.

Comment 1 James Bowes 2008-01-02 16:54:46 UTC
To test:
 * Try to delete a srpm that does not exist:
   rhn-delete-package-internal --server dev --sources --package foo --orgid ""
   You should get a message saying there is no such source rpm.

This does not require a new rhn-content-mgmt rpm.

Comment 3 Amy Owens 2008-01-04 18:21:00 UTC
AO - tested in dev - all set-
Error Message:
    No such package foo
Error Class Code: 5200
Error Class Info: No such source rpm



Comment 5 Amy Owens 2008-01-16 17:31:16 UTC
tested in qa -- all set


Note You need to log in before you can comment on or make changes to this bug.